import Caver, { Contract as CaverContract } from 'caver-js';
import Web3 from 'web3';
import { Contract as Web3Contract } from 'web3-eth-contract';
export declare const MULTICALL_ADDRESS: {
    cypress: string;
};
export declare const MULTICALL_ABI: {
    inputs: ({
        internalType: string;
        name: string;
        type: string;
        components?: undefined;
    } | {
        components: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        type: string;
        internalType?: undefined;
    })[];
    name: string;
    outputs: ({
        internalType: string;
        name: string;
        type: string;
        components?: undefined;
    } | {
        components: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        type: string;
        internalType?: undefined;
    })[];
    type: string;
}[];
export declare type MulticallOptions = {
    provider: Caver | Web3;
    multicallV2Address?: string;
};
export declare class Multicall {
    provider: Caver | Web3;
    contract: CaverContract | Web3Contract;
    multicallV2Address: string;
    constructor(options: MulticallOptions);
    aggregate: (calls: any[]) => Promise<any[]>;
}
